/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

import java.util.ArrayList;
import java.util.List;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.2.2.3 $
 */
public class InterceptorsImpl implements javax.ejb.Interceptors
{
   private List values = new ArrayList();

   public InterceptorsImpl()
   {
   }

   public Class[] value()
   {
      Class[] result = new Class[values.size()];
      values.toArray(result);
      return result;
   }

   public void addValue(Class value)
   {
      values.add(value);
   }

   public Class annotationType()
   {
      return javax.ejb.Interceptors.class;
   }
}
